Bug 2293 - [UPDATE REQUEST] qt4 4.8.4 -> 4.8.5
: [UPDATE REQUEST] qt4 4.8.4 -> 4.8.5
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 21:11 MSD by Andrey Bondrov
Modified: 2013-07-17 15:29 MSD (History)
3 users (show)

See Also:
RPM Package: qt4
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
dmitry.romashkin: secteam_verified+
andrey.bondrov: published+


Attachments
report.odt (382.92 KB, application/vnd.oasis.opendocument.text)
2013-07-16 22:29 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-07-02 21:11:50 MSD
New version of Qt4 was released.
Comment 1 Andrey Bondrov 2013-07-02 21:14:01 MSD
Advisory: "New bugfix version 4.8.5 with almost 400 improvements, including bugfixes, security fixes and more".

https://abf.rosalinux.ru/build_lists/1176328
https://abf.rosalinux.ru/build_lists/1176329
Comment 2 Andrey Bondrov 2013-07-02 21:15:44 MSD
More info: http://blog.qt.digia.com/blog/2013/07/02/qt-4-8-5-released/
Comment 3 Andrey Bondrov 2013-07-05 13:37:15 MSD
Please use these builds lists instead (4.8.5-2):
https://abf.rosalinux.ru/build_lists/1177409
https://abf.rosalinux.ru/build_lists/1177410

They have some minimal changes added, shouldn't affect users. So no need to do full testing after 4.8.5-1.
Comment 4 Alexander Burmashev 2013-07-05 23:09:40 MSD
A minor fix was applied to qt4
QMAKE_CXXFLAGS_RELEASE= 
was added to qt4.macros
Buildlists:
https://abf.rosalinux.ru/build_lists/1177744
https://abf.rosalinux.ru/build_lists/1177745
Comment 5 Postnikov Dmitry 2013-07-16 22:29:29 MSD
Created attachment 1674 [details]
report.odt

****************************
Extended testing report
****************************
Comment 6 Andrey Bondrov 2013-07-17 03:53:40 MSD
Checking ktouch I found that it has missing Requires: qt4-database-plugin-sqlite
I'll fix it today.

I also found that some reported errors are not Qt 4.8.5 regressions because I see them with Qt 4.8.4 too.
Comment 7 Andrey Bondrov 2013-07-17 05:27:53 MSD
(In reply to comment #5)
> Created attachment 1674 [details]
> report.odt
> 
> ****************************
> Extended testing report
> ****************************

I confirm most of found bugs but they are not Qt 4.8.5 regressions. I can reproduce them even with Qt 4.8.4.

So I guess we can publish Qt 4.8.5.
Comment 8 Vladimir Potapov 2013-07-17 15:06:34 MSD
qt4-common-4.8.5-3-rosa2012.1
********************* Advisory ***********************
New bugfix version 4.8.5 with almost 400 improvements, including bugfixes, security fixes and more
******************************************************
QA Verified